package de.hottis.MeasurementCollector;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

import org.openmuc.jmbus.DataRecord;

public class FinderThreePhasePowerMeter extends ADataParser {
	public FinderThreePhasePowerMeter(String name) {
		super(name);
	}
	
	public List<ADataObject> parse(LocalDateTime timestamp, List<DataRecord> dataRecords) {
		ArrayList<ADataObject> list = new ArrayList<ADataObject>();
		
		ElectricEnergyDataObject tdo = new ElectricEnergyDataObject(timestamp, name, 
				dataRecords.get(0).getScaledDataValue(), dataRecords.get(17).getScaledDataValue());
		list.add(tdo);
		
		return list;
	}
}
